#!/usr/bin/env bash

iostat_linux()
{
    LC_NUMERIC="C" iostat -c 2 | while read ln; do
        set -- $ln
        prc=$6
        # echo >&2 ++[$prc]
        if echo $prc | egrep -q '^[0-9]+\.[0-9]+$'; then
            echo $prc | tr -d '.'
        fi
    done
}


iostat_fbsd()
{
    LC_NUMERIC="C" iostat -C -w 2 -t proc | while read ln; do
        set -- $ln
        prc=$7
        if echo $prc | egrep -q '^[0-9]{1,2}$'; then
            echo "${prc}00"
        fi
    done
}

#
# Main
#

ostype=$(uname)
case "$ostype" in
    'Linux')   iostat_linux ;;
    'FreeBSD') iostat_fbsd  ;;
    *) echo >&2 "$ostype not supported" ;;
esac

# __EOF__


