#!/bin/sh
# @(#) Set up the HT of host aliases in LBDB (RedisDB);
# The point here is to map HTTP prefixes to aliases used when reporting
# sensors.
#
# This is an example, part of GigA+ package. Copyright 2017 Pavel Cherenkov

if [ $# -lt 1 ]; then
    echo >&2 "Usage: $0 list|{path-to-list} | redis-cli -h {host} -p {port} -x"
    exit 1
fi

# Substitute Redis HT for aliases if you will.
: ${ALIAS_HASH:='host_alias'}

if [ 'list' = "$1" ]; then
# Use here-document you've defined right in the script.
(
egrep -v '^#|^$' <<__EOT
http://192.168.1.1/  host1-c70
http://10.16.10.2/   host2-c70
http://192.168.2.5/  host3
__EOT
) | xargs echo HMSET $ALIAS_HASH
else
# Or read from a file.
    egrep -v '^#|^$' < $1 | xargs echo HMSET $ALIAS_HASH
fi

# __EOF__

