#!/usr/bin/env bash
# @(#) Force roll-over of a selected channel
#
# This code is part of Gigapxy, Copyright 2012-2017 Pavel Cherenkov
#

CAT=/bin/cat
TR=/usr/bin/tr

if [ $# -lt 1 ]; then
    echo >&2 "Usage: $0 channel-root-dir"
    exit 1
fi

rootdir=${1:?}
VSM_PID=`${CAT} ${rootdir}/vsm.pid | ${TR} -d '\n'`

if [ -z "${VSM_PID}" ]; then
    echo >&2 "No VSM pid found."; exit 2
fi

if ! kill -ALRM ${VSM_PID}; then
    echo >&2 "Failed to signal vsm(${VSM_PID}), is it dead?"; exit 3
fi

echo "SIGALRM sent to vsm(${VSM_PID})"

# __EOF__

