-- Remove segment-URL
--
-- IN: KEYS[1] = KEY; Example: 'v1/20170504-03/33303992.ts'.
-- IN: ARGV[1] = segment URL; Example: 'http://acme.io:1717/segs/v1/20170504-03/33303992.ts'.

local locK = "LOC:" .. KEYS[1]
local posK = "POS:" .. KEYS[1]

local url = ARGV[1]

local removed = redis.call("ZREM", locK, url)
if 1 ~= removed then
    return "#err: failed to remove URL from " .. locK
end

local nleft = redis.call("ZCARD", locK)
if 0 == nleft then
    redis.call("DEL", posK)
end

return "OK " .. tostring(nleft)

-- EOF --

