#!/usr/bin/env bash
# @(#) Apply Proxmox-specific fixes to GigA+ installation.

BINDIR='/usr/bin'
UBINS='dwg flb gxa gxpm gxseg hos prbsm vsm wux gigaplus'
ECHO=
: ${BINGRP:='staff'}

if [ "$#" -lt 1 ]; then
    echo >&2 "Usage: $0 [-n] fix"
    exit 1
fi

if [ '-n' = "$1" ]; then
    ECHO=echo; shift
fi

mode=${1:?}
if [ 'fix' != "${mode}" ]; then
    echo >&2 "Invalid mode: ${mode}"
    exit 1
fi

if [ -z "${ECHO}" ]; then
    if [ '0' -ne "${EUID}" ]; then
        echo >&2 "Must be root to apply fixes"
        exit 2
    fi
fi

if ! dpkg -l | grep -q gigaplus; then
    echo >&2 "GigA+ (gigaplus) package is NOT installed"
    [ -n "${ECHO}" ] || exit 2
fi

[ -n "${ECHO}" ] && echo >&2 "== Simulation mode =="

echo >&2 "(*) Changing GigA+ binaries' group to ${BINGRP:?}"
for bin_exec in $(echo $UBINS); do
    fpath="${BINDIR}/${bin_exec}"
    if [ -f "$fpath" ]; then
        ${ECHO} chgrp ${BINGRP} $fpath && echo >&2 "${fpath} OK"
    else
        echo >&2 "ERROR: $fpath not found, installation broken?"
    fi
done

# __EOF__

